#include <hack/logger/logger.hpp>
#include "tasks/001.hpp"

// #include "sort/insertion.hpp"

auto main() -> int
{
  // {
  //   std::vector<int> v { 5, 4, 1, 3, 6, 9, 7, 2, 8, 0, 10 };
  //   // alg::sort::insertion(v, 0, v.size() - 1);
  //   alg::sort::insertion(v);
  //   hack::log()(v);
  //   return 0;
  // }

  alg::tasks::run();
}

